package cn.yw.nhyw.nhywjtbzgl.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywjtbzglDao")
public class NhywjtbzglDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywjtbzgl(Map map) throws SQLException{
		this.insert("insert_Nhywjtbzgl",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywjtbzgl(List batch) throws SQLException{
		this.insert("batch_insert_Nhywjtbzgl",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjtbzgl(Map map) throws SQLException{
		return this.update("update_Nhywjtbzgl",map);
	}

	/**
	 * 修改经纬度
	 */
	public Integer updateJtbzJdWdByXh(Map map) throws SQLException{
		return this.update("updateJtbzJdWdByXh",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjtbzgl(Map map) throws SQLException{
		return this.delete("delete_Nhywjtbzgl",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywjtbzgl(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywjtbzgl",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywjtbzgl(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywjtbzgl",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Nhywjtbzgl(Map map) throws SQLException{
		return this.queryForPage("query_Nhywjtbzgl",map);
	}

	/**
	 * 查询全部记录
	 */
	public List<Map> query_AllNhywjtbzgl(Map map) throws SQLException{
		return this.queryForList("query_Nhywjtbzgl",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Nhywjtbzgl(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywjtbzgl",map);
	}
}
